org.apache.commons.math3.ode

## Interface Parameterizable

All Known Subinterfaces:
  ParameterizedODE, ParameterJacobianProvider

All Known Implementing Classes:
  AbstractParameterizable, ParameterizedWrapper, ParameterJacobianWrapper

    public interface Parameterizable

This interface enables to process any parameterizable object.

Since:
  3.0
Version:
  $Id: Parameterizable.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`Collection<String>` `getParametersNames()` Get the names of the supported parameters.
`boolean` `isSupported(String name)` Check if a parameter is supported.

### Method Detail

#### getParametersNames

    Collection<String> getParametersNames()

Get the names of the supported parameters.

Returns:
  parameters names
See Also:
  `isSupported(String)`

#### isSupported

    boolean isSupported(String name)

Check if a parameter is supported.

Supported parameters are those listed by `getParametersNames()`.

Parameters:
  `name` - parameter name to check
Returns:
  true if the parameter is supported
See Also:
  `getParametersNames()`